#include <bits/stdc++.h>
using namespace std;
inline int gin() {
    int s=0,f=1;
    char c=getchar();
    while(c<'0' || c>'9') {
        if(c=='-') f=-1;
        c=getchar();
    }
    while(c>='0'&&c<='9') {
        s=(s<<3)+(s<<1)+(c^48);
        c=getchar();
    }
    return s*f;
}



signed main() {
    freopen(".in","r",stdin);
    freopen(".out","w",stdout);
    
    return 0;
}